IPA server installation fails with error "IPA requires 8443 for PKI but it is currently in use".

Solution Verified - Updated -

Issue

  • After uninstalling a broken IPA server using ipa-server-install --uninstall, re-installation may sometimes fails with the following error:
IPA requires port 8443 for PKI but it is currently in use.
ipapython.admintool: ERROR    Aborting installation
ipapython.admintool: ERROR    The ipa-server-install command failed. See /var/log/ipaserver-install.log for more information

Environment

  • Red Hat Enterprise Linux 6.x, 7.x
  • ipa-server

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In